---
title: Delete a Page Rule
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/typescript)

[Page Rules](https://developers.cloudflare.com/api/typescript/resources/page_rules)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Delete a Page Rule

client.pageRules.delete(stringpageruleID, PageRuleDeleteParams {zone\_id } params, RequestOptionsoptions?): [PageRuleDeleteResponse](<https://developers.cloudflare.com/api/typescript/resources/page_rules#(resource)%20page_rules%20%3E%20(model)%20page_rule_delete_response%20%3E%20(schema)>) {id } | null

DELETE/zones/{zone\_id}/pagerules/{pagerule\_id}

Deletes an existing Page Rule.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Zone Write``Page Rules Write`

##### ParametersExpand Collapse

pageruleID: string

Identifier.

maxLength32

[Link to this property](<#(resource)%20page_rules%20%3E%20(method)%20delete%20%3E%20(params)%20default%20%3E%20(param)%20pagerule_id%20%3E%20(schema)>)

<details>

<summary>

params: PageRuleDeleteParams {zone\_id }

</summary>

zone\_id: string

Identifier.

maxLength32

<a href="#(resource)%20page_rules%20%3E%20(method)%20delete%20%3E%20(params)%20default%20%3E%20(param)%20zone_id">Link to this property</a>

</details>

[Link to this property](<#(resource)%20page_rules%20%3E%20(method)%20delete%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

PageRuleDeleteResponse {id }

</summary>

id: string

Identifier.

maxLength32

<a href="#(resource)%20page_rules%20%3E%20(model)%20page_rule_delete_response%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

</details>

[Link to this property](<#(resource)%20page_rules%20%3E%20(model)%20page_rule_delete_response%20%3E%20(schema)>)

### Delete a Page Rule

TypeScript

HTTPTypeScriptPythonGoTerraform

```
import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const pageRule = await client.pageRules.delete('023e105f4ecef8ad9ca31a8372d0c353', {
  zone_id: '023e105f4ecef8ad9ca31a8372d0c353',
});

console.log(pageRule.id);
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "023e105f4ecef8ad9ca31a8372d0c353"
  }
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "023e105f4ecef8ad9ca31a8372d0c353"
  }
}
```